---
title: List Managed Transforms
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Managed Transforms](https://developers.cloudflare.com/api/python/resources/managed_transforms)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Managed Transforms

managed\_transforms.list(ManagedTransformListParams\*\*kwargs) -> [ManagedTransformListResponse](<https://developers.cloudflare.com/api/python/resources/managed_transforms#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)>)

GET/zones/{zone\_id}/managed\_headers

Fetches a list of all Managed Transforms.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Response Compression Write``Response Compression Read``Config Settings Write``Config Settings Read``Dynamic URL Redirects Write``Dynamic URL Redirects Read``Cache Settings Write``Cache Settings Read``Custom Errors Write``Custom Errors Read``Origin Write``Origin Read``Managed headers Write``Managed headers Read``Zone Transform Rules Write``Zone Transform Rules Read``Mass URL Redirects Write``Mass URL Redirects Read``Magic Firewall Write``Magic Firewall Read``L4 DDoS Managed Ruleset Write``L4 DDoS Managed Ruleset Read``HTTP DDoS Managed Ruleset Write``HTTP DDoS Managed Ruleset Read``Sanitize Write``Sanitize Read``Transform Rules Write``Transform Rules Read``Select Configuration Write``Select Configuration Read``Bot Management Write``Bot Management Read``Zone WAF Write``Zone WAF Read``Account WAF Write``Account WAF Read``Account Rulesets Read``Account Rulesets Write``Logs Write``Logs Read``Logs Write``Logs Read`

##### ParametersExpand Collapse

zone\_id: str

The unique ID of the zone.

[Link to this property](<#(resource)%20managed_transforms%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ManagedTransformListResponse: …

A result.

</summary>

<details>

<summary>

managed\_request\_headers: List\[ManagedRequestHeader]

The list of Managed Request Transforms.

</summary>

id: str

The human-readable identifier of the Managed Transform.

minLength1

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_request_headers%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

enabled: bool

Whether the Managed Transform is enabled.

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_request_headers%20%3E%20(items)%20%3E%20(property)%20enabled">Link to this property</a>

has\_conflict: bool

Whether the Managed Transform conflicts with the currently-enabled Managed Transforms.

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_request_headers%20%3E%20(items)%20%3E%20(property)%20has_conflict">Link to this property</a>

conflicts\_with: Optional\[List\[str]]

The Managed Transforms that this Managed Transform conflicts with.

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_request_headers%20%3E%20(items)%20%3E%20(property)%20conflicts_with">Link to this property</a>

</details>

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_request_headers">Link to this property</a>

<details>

<summary>

managed\_response\_headers: List\[ManagedResponseHeader]

The list of Managed Response Transforms.

</summary>

id: str

The human-readable identifier of the Managed Transform.

minLength1

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_response_headers%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

enabled: bool

Whether the Managed Transform is enabled.

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_response_headers%20%3E%20(items)%20%3E%20(property)%20enabled">Link to this property</a>

has\_conflict: bool

Whether the Managed Transform conflicts with the currently-enabled Managed Transforms.

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_response_headers%20%3E%20(items)%20%3E%20(property)%20has_conflict">Link to this property</a>

conflicts\_with: Optional\[List\[str]]

The Managed Transforms that this Managed Transform conflicts with.

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_response_headers%20%3E%20(items)%20%3E%20(property)%20conflicts_with">Link to this property</a>

</details>

<a href="#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)%20%3E%20(property)%20managed_response_headers">Link to this property</a>

</details>

[Link to this property](<#(resource)%20managed_transforms%20%3E%20(model)%20managed_transform_list_response%20%3E%20(schema)>)

### List Managed Transforms

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
managed_transforms = client.managed_transforms.list(
    zone_id="9f1839b6152d298aca64c4e906b6d074",
)
print(managed_transforms.managed_request_headers)
```

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000,
      "source": {
        "pointer": "/rules/0/action"
      }
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000,
      "source": {
        "pointer": "/rules/0/action"
      }
    }
  ],
  "result": {
    "managed_request_headers": [
      {
        "id": "add_bot_protection_headers",
        "enabled": true,
        "has_conflict": false,
        "conflicts_with": [
          "add_true_client_ip_headers"
        ]
      }
    ],
    "managed_response_headers": [
      {
        "id": "add_security_headers",
        "enabled": true,
        "has_conflict": false,
        "conflicts_with": [
          "add_true_client_ip_headers"
        ]
      }
    ]
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000,
      "source": {
        "pointer": "/rules/0/action"
      }
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000,
      "source": {
        "pointer": "/rules/0/action"
      }
    }
  ],
  "result": {
    "managed_request_headers": [
      {
        "id": "add_bot_protection_headers",
        "enabled": true,
        "has_conflict": false,
        "conflicts_with": [
          "add_true_client_ip_headers"
        ]
      }
    ],
    "managed_response_headers": [
      {
        "id": "add_security_headers",
        "enabled": true,
        "has_conflict": false,
        "conflicts_with": [
          "add_true_client_ip_headers"
        ]
      }
    ]
  },
  "success": true
}
```